// .app-component-bg {
// 	background: url(../resources/splash.png) no-repeat;
// 	background-size: cover;
// 	background-position: center center;
// }

.appcomponent-spinner{
	.la-ball-spin-clockwise>div {
		background-color: #b62831 !important;
	}
	.overlay {
		background-color: rgba(0, 0, 0, 0) !important;
	}
}

:root {
	--top-bg: 0px;
}

.raovat-home {
	background: url(/assets/images/bg-banner.png) 0 0/100% no-repeat;

	.ion-content {
		--background: transparent !important;

		ion-refresher {
			top: 50px;
		}

		position: relative;
		z-index: 1;

		&::after {
			position: fixed;
			top: 0px;
			left: 0px;
			content: "";
			display: block;
			width: 100%;
			height: 100%;
			background: url(/assets/images/bg-banner.png);
			background-position: 0 var(--top-bg);
			background-size: 100%;
			background-repeat: no-repeat;
			background-attachment: fixed;
			z-index: -10000;
		}

	}

	.box-tindangmoi {
		position: relative;
		z-index: 1;
	}

	.header-home {
		position: fixed;
		/* nguyencuongcs 20190830: chỉnh margin cho tai thỏ, chưa test được */
		//margin-top: 20px; /* Status bar height on iOS 10 */
		margin-top: constant(safe-area-inset-top);
		/* Status bar height on iOS 11.0 */
		margin-top: env(safe-area-inset-top);
		/* Status bar height on iOS 11+ */
	}

	.header-md:after,
	.header-md.active:after {
		display: none !important;
	}

	.header-md.show:after {
		display: block !important;
	}

	.modal {
		.header {
			position: relative;
		}

	}

	.box-tindang-noibat {
		background: transparent !important;
	}
}

.avatar-menu-bottom {
	.item-inner {
		padding: 0px;
	}
	
	ion-avatar {
		width: 20px;
		height: 20px;
		margin-bottom: 2px;
	}
}

ion-content {
	--offset-top: 50px !important;
}

ion-router-outlet {
	background-color: #efefef;

}

@for $i from 0 through 4 {
	$psize: 10px * $i;

	.pl-#{$i} {
		padding-left: $psize;
	}

	.pr-#{$i} {
		padding-right: $psize;
	}

	.pt-#{$i} {
		padding-top: $psize;
	}

	.pb-#{$i} {
		padding-bottom: $psize;
	}
}

@for $i from 0 through 10 {
	$psize: 10% * $i;

	.lpt-#{$i} {
		left: $psize;
	}

	.rpt-#{$i} {
		right: $psize;
	}

	.tpt-#{$i} {
		top: $psize;
	}

	.bpt-#{$i} {
		bottom: $psize;
	}
}

.profile {

	// background-image: linear-gradient(110deg, #c4333c 60%, var(--ion-color-primary) 60%);
	// --ion-item-background: transparent;
	background-color: #fff;

	.profile-contain {
		width: fit-content;
		margin: auto;

		ion-avatar {
			width: 68px;
			height: 68px;
			position: relative;

			ion-icon {
				position: absolute;
				bottom: 0px;
				padding-right: 3px;
				color: white;
			}
		}

		// ion-button {
		// 	font-size: 10.5px;
		// 	padding-right: 5px;
		// }

		// img {

		// 	border-radius: 50%;
		// 	border: solid 2px #fff;
		// 	display: inline;
		// 	box-shadow: 0 0 28px rgba(255, 255, 255, .65);
		// }

		// .profile-email {
		// 	color: burlywood;
		// }
	}

}

.profile-edit {
	ion-card {
		width: 100%;
		border-radius: 0;
		background-color: #fff;

		ion-card-content {
			padding: 32px;
			background-color: var(--ion-color-primary);
			color: #333;
			text-align: center;

			ion-avatar {
				width: 128px;
				height: 128px;
				position: relative;
				margin: auto;
				margin-bottom: 20px;

				ion-icon {
					position: absolute;
					bottom: 0px;
					right: 0px;
					font-size: 18px;
					padding-right: 3px;
				}

				img {

					border-radius: 50%;
					border: solid 4px #fff;
					display: inline;
					box-shadow: 0 0 28px rgba(255, 255, 255, .65);
				}
			}


			h1 {
				margin-top: .5rem;
			}
		}
	}

}

:host {
	ion-content {
		--background: linear-gradient(-135deg, var(--ion-color-medium), var(--ion-color-light))
	}
}

dailyxe-ion-email {
	width: -webkit-fill-available;

	input {
		padding-left: 0px;
	}
}

dailyxe-ion-numberphone {
	width: -webkit-fill-available;

	input {
		padding-left: 0px;

	}
}

dailyxe-ion-number {
	width: -webkit-fill-available;

	input {
		padding-left: 0px;

	}
}

custom-ion-select {
	width: -webkit-fill-available;
	input {
		padding-left: 0px;
	}
}

dailyxe-ion-image {
	width: 100% !important;
}

// -----* KEY-FRAME *-----\\
@keyframes bounceAlpha {
	0% {
		opacity: 1;
		transform: translateY(-50%) translateX(0px) scale(1);
	}

	25% {
		opacity: 0;
		transform: translateY(-50%) translateX(10px) scale(0.9);
	}

	26% {
		opacity: 0;
		transform: translateY(-50%) translateX(-10px) scale(0.9);
	}

	55% {
		opacity: 1;
		transform: translateY(-50%) translateX(0px) scale(1);
	}
}

@keyframes bounceAlpha2 {
	0% {
		opacity: 1;
		transform: rotate(180deg) translateY(+50%) translateX(0px);
	}

	25% {
		opacity: 0;
		transform: rotate(180deg) translateY(+50%) translateX(10px);
	}

	26% {
		opacity: 0;
		transform: rotate(180deg) translateY(+50%) translateX(-10px);
	}

	55% {
		opacity: 1;
		transform: rotate(180deg) translateY(+50%) translateX(0px);
	}
}

@keyframes bounceAlpha3 {
	0% {
		opacity: 1;
		transform: translateY(0px) scale(1);
	}

	25% {
		opacity: 0;
		transform: translateY(+10px) scale(0.9);
	}

	26% {
		opacity: 0;
		transform: translateY(-10px) scale(0.9);
	}

	55% {
		opacity: 1;
		transform: translateY(0px) scale(1);
	}
}

@keyframes shadow-pulse {
	0% {
		box-shadow: 0 0 0 0px rgba(214, 70, 80, 0.3);
	}

	100% {
		box-shadow: 0 0 0 15px rgba(214, 70, 80, 0);
	}
}

// -----* CUSTOM-GLOBAL *-----\\
.displaynone {
	display: none;
}

.displayblock {
	display: block;
}

.opacityon {
	opacity: 1;
	visibility: visible;
	transition: all 0.4s;
}

.opacityoff {
	opacity: 0;
	visibility: hidden;
	transition: all 0.4s;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-size: 100%;
}


ion-item ion-select {
	max-width: 100%;
}

ion-textarea {
	--padding-top: 3px;
	--padding-start: 5px;
}

.custom-span {
	color: var(--ion-color-danger) !important;
}

.btn-totop {
	width: 45px;
	height: 45px;
}

.ion-align-items-center {
	display: flex;
	align-items: center;
	justify-content: center;
}

ck-editor {
	-webkit-user-select: text;
	user-select: text;
	text-align: left;
	width: 100%;
}

ion-segment ion-segment-button {
	max-width: unset !important;
}

.w80 {
	width: 80%;
	max-width: unset !important;
}

.w20 {
	width: 20%;
}

image-cropper img {
	width: 100% !important;
}

// -----* REPONSIVE *-----\\

@media (min-width: 768px) {
	.btn-call {
		width: unset !important;
	}

	.btn-totop {
		width: 65px;
		height: 65px;
	}

	.row-menu .thumbnail-menu {
		min-height: 135px !important;
	}

	.row-menu .item-menu {
		width: calc(100% / 5) !important;
	}

	.row-menu .thumbnail-menu ion-title {
		font-size: 130% !important;
	}

	.box-dangtinhot .left-image {
		min-height: 255px;
	}

	.slides-dangtinhot ion-slide .box-dangtinhot .hot-ribbon {
		top: -100px !important;
		right: 15px !important;
	}

	.box-dangtinhot .title-box-dangtinhot {
		font-size: 145% !important;
	}

	.box-dangtinhot .right-box-dangtinhot ion-text {
		font-size: 130% !important;
	}

	.right-box-dangtin ion-col .title-box-dangtin h3 {
		font-size: 130% !important;
	}

	.right-box-dangtin ion-col ion-text h3 {
		font-size: 105% !important;
	}

	.title-menu h2 {
		font-size: 135%;
	}

	.btn-xemthem {
		font-size: 95%;
	}

	.slides-dangtinhot ion-slide .box-dangtinhot .hot-ribbon ion-icon {
		font-size: 150% !important;
	}

	.tab-tindang {
		display: flex;
		flex-wrap: wrap;
	}

	.bg-list-dangtin ion-card.card-dangtin {
		width: calc(100% / 2) !important;
		border-right: 1px solid #d6b25e;
		margin: 0 !important;
	}

	.bg-list-dangtin ion-card.card-dangtin:last-child {
		border-bottom: 1px solid #d6b25e !important;
		border-right: 1px solid #d6b25e !important;
	}

	.card-dangtin .card-content {
		display: flex;
		flex-wrap: wrap;
	}

	.card-dangtin .dangtin-info {
		width: calc(100% / 2);
		border-bottom: 1px solid #000 !important;
		border-right: 1px solid #000;
		margin-bottom: 0 !important;
	}

	.card-dangtin .dangtin-info:nth-child(2n+0) {
		border-right: none;
	}

	.card-dangtin .dangtin-info .row-img {
		height: 25vh !important;
	}

	.slideDangTinCreateStyle p {
		font-size: 155% !important;
	}

	.slideDangTinCreateStyle ion-slide ion-label,
	.slideDangTinCreateStyle ion-slide ion-select,
	.slideDangTinCreateStyle ion-slide ion-input,
	.slideDangTinCreateStyle ion-slide ion-textarea,
	.slideDangTinCreateStyle ion-slide ion-datetime {
		font-size: 135% !important;
	}

	// .slideDangTinCreateStyle ion-slide ion-button {
	// 	font-size: 90%;
	// 	height: 135%;
	// }

	.slideDangTinCreateStyle .row-image-daidien ion-img,
	.slideDangTinCreateStyle .custom-row-2 ion-img {
		width: 125px !important;
		height: 125px !important;
	}
}

@media (min-width: 992px) {
	.row-menu .thumbnail-menu {
		min-height: 155px !important;
	}

	.row-menu .item-menu {
		width: calc(100% / 6) !important;
	}

	.row-menu .thumbnail-menu ion-title {
		font-size: 150% !important;
	}

	.box-dangtinhot .left-image {
		min-height: 305px;
	}

	.box-dangtinhot .title-box-dangtinhot {
		font-size: 175% !important;
	}

	.box-dangtinhot .right-box-dangtinhot ion-text {
		font-size: 160% !important;
	}

	.right-box-dangtin ion-col .title-box-dangtin h3 {
		font-size: 145% !important;
	}

	.right-box-dangtin ion-col ion-text h3 {
		font-size: 125% !important;
	}

	.title-menu h2 {
		font-size: 135%;
	}

	.btn-xemthem {
		font-size: 115%;
	}

	.slides-dangtinhot ion-slide .box- .hot-ribbon {
		top: -130px !important;
		right: 15px !important;
	}

	.slides-dangtinhot ion-slide .box-dangtinhot .hot-ribbon ion-icon {
		font-size: 170% !important;
	}

	.card-dangtin .dangtin-info {
		width: calc(100% / 3);
	}

	.card-dangtin .dangtin-info:nth-child(2n+0) {
		border-right: 1px solid #000;
	}

	.card-dangtin .dangtin-info:nth-child(3n+0) {
		border-right: none;
	}

	.card-dangtin .dangtin-info .row-img {
		height: 15vh !important;
	}
}

@media (min-width: 1200px) {
	.row-menu::-webkit-scrollbar {
		width: 1px !important;
	}

	.row-menu::-webkit-scrollbar-track {
		background: #f1f1f1;
	}

	.row-menu::-webkit-scrollbar-thumb {
		background: var(--ion-color-primary);
	}

	.row-menu .thumbnail-menu {
		min-height: 150px !important;
	}

	.row-menu .item-menu {
		width: calc(100% / 9) !important;
	}

	.row-menu .thumbnail-menu ion-title {
		font-size: 120% !important;
	}

	.tab-tindang {
		display: flex;
		flex-wrap: wrap;
	}

	.bg-list-dangtin ion-card.card-dangtin {
		width: calc(100% / 3) !important;
		border-right: 1px solid #d6b25e;
		margin: 0 !important;
	}

	.bg-list-dangtin ion-card.card-dangtin:last-child {
		border-bottom: 1px solid #d6b25e !important;
		border-right: 1px solid #d6b25e !important;
	}

	.btn-totop {
		width: 45px;
		height: 45px;
	}

	.right-box-dangtin ion-col .title-box-dangtin h3 {
		font-size: 145% !important;
	}

	.right-box-dangtin ion-col ion-text h3 {
		font-size: 125% !important;
	}

	.btn-xemthem.bottom {
		width: 50% !important;
	}

	.card-dangtin .dangtin-info {
		width: calc(100% / 4);
	}

	.card-dangtin .dangtin-info:nth-child(2n+0) {
		border-right: 1px solid #000;
	}

	.card-dangtin .dangtin-info:nth-child(3n+0) {
		border-right: 1px solid #000;
	}

	.card-dangtin .dangtin-info:nth-child(4n+0) {
		border-right: none;
	}

	.card-dangtin .dangtin-info .row-img {
		height: 40vh !important;
	}

	.slideDangTinCreateStyle ion-slide ion-thumbnail {
		width: 7% !important;
	}

	.slideDangTinCreateStyle p {
		font-size: 80% !important;
	}

	.slideDangTinCreateStyle ion-slide ion-label,
	.slideDangTinCreateStyle ion-slide ion-select,
	.slideDangTinCreateStyle ion-slide ion-input,
	.slideDangTinCreateStyle ion-slide ion-textarea,
	.slideDangTinCreateStyle ion-slide ion-datetime {
		font-size: 70% !important;
	}

	.slideDangTinCreateStyle ion-slide ion-list {
		padding-top: 0;
	}

	// .slideDangTinCreateStyle ion-slide ion-button {
	// 	font-size: 80%;
	// 	height: 125%;
	// }

	.slideDangTinCreateStyle .row-image-daidien ion-img,
	.slideDangTinCreateStyle .custom-row-2 ion-img {
		width: 105px !important;
		height: 105px !important;
	}
}

// -----* CUSTOM-TREE-NODE *-----\\
.item-treenode {
	//--background: #4c8dff;
	//--color: #fff;
	font-weight: bold;
}

.icon-treenode {
	margin-right: 5px;
}

.node-wrapper {
	background: var(--ion-color-primary);
	color: #fff;
	padding: 8px 16px !important;
	justify-content: center;
	align-items: center;
	margin-bottom: 8px;
}

tree-node-expander {
	width: 10%;
}

tree-node-expander .toggle-children {
	filter: brightness(0) invert(1);
	height: 10px;
	width: 11px;
}

.node-content-wrapper {
	width: 90%;
}

.node-content-wrapper-active,
.node-content-wrapper.node-content-wrapper-active:hover,
.node-content-wrapper-active.node-content-wrapper-focused {
	background: transparent;
	box-shadow: none;
}

// css cua Nhut
.c-red {
	color: var(--ion-color-danger) !important;
}

.padding-0 {
	padding: 0 !important;
}

.text-italic {
	font-style: italic
}

.text-normal {
	font-weight: 100 !important;
}

.text-bold {
	font-weight: 700 !important;
}

.w-100p {
	width: 100%;
}

.w-50p {
	width: 50%;
}

.ml-auto {
	margin-left: auto !important;
}

.ml-16 {
	margin-left: 16px;
}

.mr-6 {
	margin-right: 6px;
}

.small-span {
	font-size: 80%;
	font-style: italic;
	color: var(--ion-color-primary);
}

.mx-16 {
	margin-left: 16px;
	margin-right: 16px;
}

.mx-a {
	margin-left: auto;
	margin-right: auto;
}

.my-8 {
	margin-top: 8px;
	margin-bottom: 8px;
}

.mt-16 {
	margin-top: 16px;
}

.mt-8 {
	margin-top: 8px;
}

.d-none {
	display: none !important;
}

.d-block {
	display: block;
}

.d-flex {
	display: flex;
}

.flex-justify-content-center {
	justify-content: center;
}

.flex-justify-content-end {
	justify-content: flex-end;
}

.flex-align-item-center {
	align-items: center;
}

.flex-direction-column {
	flex-direction: column;
}

.flex-wrap-nowrap {
	flex-wrap: nowrap;
}

.text-normal {
	font-style: normal;
}

.text-bold {
	font-weight: bold;
}

.text-align-center {
	text-align: center;
}

.whitespace-wrap {
	white-space: pre-wrap !important;
}

.wordWrap {
	word-wrap: break-word;
	/* IE 5.5-7 */
	white-space: -moz-pre-wrap;
	/* Firefox 1.0-2.0 */
	white-space: pre-wrap;
	/* current browsers */
}


.info.text-normal.limit {
	max-width: 91px;
	overflow-x: auto;
}

.item-disable {
	display: none;
}

.item-show {
	display: block;
}

@keyframes spin {
	0% {
		transform: rotate(0deg);
	}

	100% {
		transform: rotate(360deg);
	}
}

// =========================spinner tronghuu95 từ https://tobiasahlin.com/spinkit/ =============================
.splash-dailyxe {
	position: absolute;
	width: 100%;
	height: 100%;
	z-index: 999;
	display: flex;
	align-items: center;
	justify-content: center;
}

.spinner-dailyxe {
	margin: 100px auto;
	width: 40px;
	height: 40px;
	position: relative;
	text-align: center;
	-webkit-animation: sk-rotate 2.0s infinite linear;
	animation: sk-rotate 2.0s infinite linear;
}

.dot1,
.dot2 {
	width: 60%;
	height: 60%;
	display: inline-block;
	position: absolute;
	top: 0;
	background-color: #333;
	border-radius: 100%;
	-webkit-animation: sk-bounce 2.0s infinite ease-in-out;
	animation: sk-bounce 2.0s infinite ease-in-out;
}

.dot2 {
	top: auto;
	bottom: 0;
	-webkit-animation-delay: -1.0s;
	animation-delay: -1.0s;
}

@-webkit-keyframes sk-rotate {
	100% {
		-webkit-transform: rotate(360deg)
	}
}

@keyframes sk-rotate {
	100% {
		transform: rotate(360deg);
		-webkit-transform: rotate(360deg)
	}
}

@-webkit-keyframes sk-bounce {

	0%,
	100% {
		-webkit-transform: scale(0.0)
	}

	50% {
		-webkit-transform: scale(1.0)
	}
}

@keyframes sk-bounce {

	0%,
	100% {
		transform: scale(0.0);
		-webkit-transform: scale(0.0);
	}

	50% {
		transform: scale(1.0);
		-webkit-transform: scale(1.0);
	}
}

//================================End spinner========================
.box-default {
	margin-top: 0.625rem;
	padding-left: 0.625rem;
	padding-right: 0.625rem;
}

.box-default>.card-header {
	color: #555;
	background-color: transparent;
	font-family: 'Anton', sans-serif;
	font-size: 125%;
	text-transform: uppercase;
	padding: 0.5rem 0 0.25rem 0;
	border-bottom-color: #d0d1d5;
}

.box-default>.card-block {
	padding: 0 0 1rem;
}

.btn-xemthem:focus,
.btn-xemthem:active,
.btn-xemthem:visited {
	--background: #fff;
}

.btn-xemthem ion-icon {
	margin-bottom: 2px;
}

.btn-xemthem.bottom {
	color: #3880ff;
	border-radius: 5px;
	font-size: 85%;
	position: unset;
	bottom: 0;
	width: 90%;
	border: 2px solid #3880ff;
}

.full-content {
	width: 100%;
	text-align: -webkit-center;
}

.fit-content {
	max-width: 400px;
}

//tronghuu95 20190716
.hidden-image {
	opacity: 0.3 !important;
}

.tinhtrang-box {
	position: absolute;
	font-size: x-small;
	top: -5px;
	left: -6px;
	// width: 50px;
	text-align: -webkit-center;
}

.center-box-hidden {
	position: absolute;
	top: 50%;
	line-height: inherit;
	height: -webkit-fill-available;
	text-align: center;
	width: inherit;
}

.icon-clear-select {
	position: absolute;
	font-size: large;
	z-index: 100;
	top: 6px;
	right: 7px;
	background-color: #fff;
	border-radius: 50%;
}

.x-small {
	font-size: x-small;
}

.box-list {

	background: transparent;

	.box-item {
		box-shadow: 10px 0px 10px rgba(153, 144, 144, 0.59);
		padding-bottom: 10px;

		.box-item-image {
			height: 128px;
		}

		.box-item-title {
			font-size: 90%;
			margin-top: 0px;
			margin-bottom: 5px;
			font-weight: bold;
			text-transform: uppercase;
		}

	}

}

.webkit-fill-available {
	width: -webkit-fill-available !important;
}

.absolute {
	position: absolute;
}

.text-webkit-center {
	text-align: -webkit-center;
}

img {
	.loading {
		position: 'relative';
		width: '100%';
		height: '100%';
		background-color: '#3A6073';
		-webkit-filter: 'blur(5px)';
		-o-filter: 'blur(5px)';
		filter: 'blur(5px)'
	}

	.loaded {}
}

ion-img {
	.loading {
		position: 'relative';
		width: '100%';
		height: '100%';
		background-color: '#3A6073';
		-webkit-filter: 'blur(5px)';
		-o-filter: 'blur(5px)';
		filter: 'blur(5px)'
	}

	.loaded {}
}


.btn-highlight {
	position: relative;

	&::after {
		position: absolute;
		top: -5px;
		left: 50%;
		transform: translate(-50%);
		/* background-color: #fff; */
		border-radius: 50%;
		content: "\f156";
		font-family: LineAwesome;
		font-weight: 900;
		font-size: 30px;
		display: flex;
		align-items: center;
		justify-content: center;
		width: 40px;
		height: 40px;
		border-radius: 50%;
		z-index: 10000;
		color: #fff;
	}

	&::before {
		position: absolute;
		top: -10px;
		left: 50%;
		transform: translate(-50%);
		border-radius: 50%;
		content: "";
		width: 70px;
		height: 70px;
		border-radius: 50%;
		z-index: 1;
		background-color: #4CAF50
	}
}

ion-tab-bar.hide {
	.btn-highlight {
		&::after {
			display: none;
		}
	}

}

ion-tab-bar {

	--border: 0px;
	background-color: transparent;

	ion-tab-button {
		border-top: 1px solid var(--ion-tab-bar-border-color, var(--ion-border-color, var(--ion-color-step-150, rgba(0, 0, 0, 0.07))));

		ion-label {
			position: relative;
			z-index: 2;
		}

		--padding-end: 5px;
		--padding-start: 5px;
		
		ion-badge{
			top: 7px;
		}
	}
}


.ck-dangtin {

	.cke_editable {
		padding: 0px;
	}

	&.ck-empty {
		.cke_inner {
			background-color: transparent;

			&::after {
				position: absolute;
				content: "Nhập mô tả của bạn...";
				top: 15px;
				left: 0px;
				color: #666;
				transform: translateY(-50%);
				display: inline-block;
				z-index: 1;
				pointer-events: none;
			}

		}

		.cke_focus {
			.cke_inner {
				&::after {
					display: none;
				}
			}
		}


	}

}


.ml-auto {
	margin-left: auto !important;
}

.mr-auto {
	margin-right: auto !important;
}

#recaptcha-container {
	display: flex;
	justify-content: center;
	// width: 100% !important;
	margin-top: 10px;
}